Bug 2073 - frysk-gtk2/frysk-cairo binary rpm's not putting .pc files in /opt/frysk/lib/pkgconfig
Summary: frysk-gtk2/frysk-cairo binary rpm's not putting .pc files in /opt/frysk/lib/p...
Status: RESOLVED INVALID
Alias: None
Product: frysk
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Rick Moseley
URL:
Keywords:
Depends on:
Blocks: 1975
  Show dependency treegraph
 
Reported: 2005-12-20 15:15 UTC by Rick Moseley
Modified: 2006-01-31 16:17 UTC (History)
0 users

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rick Moseley 2005-12-20 15:15:42 UTC
After a fresh install of FC4 and updating my system by including the frysk
repositiory, frysk would not build with the following error message:

checking for FRYSK_IMPORTS... configure: error: Package requirements (gtk+-2.0
>= 2.7.0 gtk2-java >= 2.7.0 glib-java >= 0.2) were not met:

Requested 'gtk+-2.0 >= 2.7.0' but version of GTK+ is 2.6.10
Package cairo was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo.pc'
to the PKG_CONFIG_PATH environment variable
Package 'cairo', required by 'Cairo-Java', not found

Upon inspecting my system I see the following packages instaleed from the frysk
repository:
frysk-cairo-java-1.0.0-9
frysk-glib2-2.8.3-1
frysk-libvte-java-0.11.11-5
frysk-gtk2-2.8.6-2
frysk-libglade-java-2.12.0-6
frysk-pango-1.10.0-2
frysk-libgtk-java-2.8.0-13
frysk-cairo-1.0.0-3
frysk-glib-java-0.2-6

And then doing an "ls -l /opt/frysk/lib/pkgconfig" I see this:

-rw-r--r--  1 root root 287 Oct  4 19:51 cairo-java.pc
-rw-r--r--  1 root root 311 Oct  5 10:10 glade-java.pc
-rw-r--r--  1 root root 392 Sep 29 13:11 glib-java.pc
-rw-r--r--  1 root root 431 Oct 18 10:10 gtk2-java.pc
-rw-r--r--  1 root root 347 Oct  4 08:09 vte-java.pc

It appears the cairo.pc and gtk2.pc files are missing from the packages for some
reason.
Comment 1 Rick Moseley 2005-12-21 14:02:07 UTC
Error on my part, you must remember to put the *quotes* in the "yum --exclude
'*debuginfo' install 'frysk-*'" statement, particularly around the 'frysk-*'
part or only a portion of the frysk packages will be retrieved and installed.